{ pkgs, lib, ... }: {
  imports = [
    ./base.nix
    ./features/fonts.nix
  ];

  boot.loader.systemd-boot.enable = lib.mkDefault true;
  boot.loader.efi.canTouchEfiVariables = lib.mkDefault true;

  boot.kernelPackages = lib.mkDefault pkgs.linuxPackages_zen;

  environment.systemPackages = with pkgs; [
    firefox
    curl
    btop
    htop
    neofetch
    xclip
    keepassxc
  ];
}
