{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ../../client.nix

    ../../features/xfce.nix
    ../../features/tailscale.nix
    ../../features/sound
    ../../features/nvidia.nix
    ../../features/steam.nix
    ../../features/dns-cache.nix
    ../../features/podman.nix
  ];

  home-manager.users.noe = import ../../../home-manager/noe/hosts/aerial.nix;
  
  environment.etc."X11/xorg.conf" = {
    source = ./xorg.conf;
  };

  networking.hostName = "aerial";
  system.stateVersion = "24.05";

  fileSystems."/mnt/wumbo" = {
    device = "/dev/disk/by-uuid/804c5fa2-cf78-4c18-a956-a5b60ea33619";
    fsType = "ext4";
  };

  environment.systemPackages = [
    pkgs.python3
  ]; 

  networking.firewall.allowedTCPPorts = [ 42069 8000 ];
  networking.firewall.allowedUDPPorts = [ 42069 ]; 
}
