{ pkgs, inputs, ... }: {
  imports = [
    inputs.apple-silicon.nixosModules.apple-silicon-support

    ./hardware-configuration.nix
    ../../client.nix

    ../../features/plasma5.nix
    ../../features/sound/asahi.nix
    ../../features/wifi.nix
    ../../features/tailscale.nix
  ];
  
  home-manager.users.noe = import ../../../home-manager/noe/hosts/cider.nix;

  networking.hostName = "cider";
  system.stateVersion = "24.05";  

  # aarch64 / asahi stuff
  hardware.asahi = {
    withRust = true;
    
    addEdgeKernelConfig = true;
    
    useExperimentalGPUDriver = true;
    experimentalGPUInstallMode = "replace";
  };

  

  networking.wireless.iwd.package = pkgs.stable.iwd; # unstable issue on aarch64: https://github.com/NixOS/nixpkgs/issues/273958  
}
