{ inputs, pkgs, config, ... }: {
  imports = [
    ../../templates/proxmox-lxc.nix
    ../../server.nix
    ../../features/dns-cache.nix
  ];

  networking.hostName = "mango";
  system.stateVersion = "24.05";
  nixpkgs.hostPlatform = "x86_64-linux";

  networking.firewall.allowedTCPPorts = [ config.services.matrix-conduit.settings.global.port ];
  networking.firewall.allowedUDPPorts = [ config.services.matrix-conduit.settings.global.port ];

  services.matrix-conduit = {
    enable = true;
    package = inputs.conduit.packages.${pkgs.system}.default;
    settings.global = {
      server_name = "sapphic.engineer";
      port = 6167;
      address = "::";
      allow_registration = false;
      allow_federation = true;
      allow_check_for_updates = true;
    };
  };

  #
}
