{ pkgs, modulesPath, lib, ... }: {
  imports = [
    (modulesPath + "/virtualisation/proxmox-lxc.nix")
    ../users/noe.nix
  ];

  system.stateVersion = lib.mkDefault lib.version;
  
  boot.kernel.enable = false;

  users.users.root.hashedPassword = "$y$j9T$kWYIRHrwP1uXV.l4vTJ67/$VGkvX09rzebYPWRI5vk0Z/IDo434bBaIqUutWp4l0L2";
  users.users.root.openssh.authorizedKeys.keys = import ../users/noe-keys.nix;
  
  environment.systemPackages = with pkgs; [
    bashInteractive 
    git # necessary for bootstrapping
  ];

  networking.nameservers = lib.mkDefault ["1.1.1.1" "1.0.0.1"];

  systemd.services."getty@tty1" = {
    enable = lib.mkForce true;
    wantedBy = [ "getty.target" ];
    serviceConfig.Restart = "always";
  };
}
